﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Identity Match and Merge</title>
        <link href="../Resources/TableStyles/Nested-Table.css" rel="stylesheet" MadCap:stylesheetType="table" />
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" />
    </head>
    <body>
        <h1>Identity Match and Merge</h1>
        <p>Duplicate identity records are quite common in identity management systems. In certain situations, a user might have multiple identities created in the identity repository. Duplicate identities can create compliance issues and pose a security vulnerability. To address this, the Identity Match and Merge  feature finds duplicate identities in the user repository, and resolves the potential duplicates by comparing and merging the identities after a manual review. The manual merge process for Identity match and merge displays the common and the uncommon attributes between the primary identity and the potential duplicate identity to aid the reviewer in their decision to merge the identities.</p>
        <p>The following are examples of a few types of duplicate data that this feature can identify and how you can remove the duplicate data:</p>
        <ul>
            <li>
                <p>Users that have similar display names, such as "John STEELE", "JOHNSTEELE", and "JOHN steele", might exist in your user repository. If these records have the same email ids or Social Security Numbers, they represent the same user, and therefore, you can merge the duplicate identities.</p>
            </li>
            <li>
                <p>A healthcare provider ecosystem, in which physicians, nurses, professors, researchers, contractors, volunteers, and students, represent some job functions, and can perform more than one function on a given day. For example:</p>
                <ul>
                    <li>
                        <p>A unit clerk in the emergency department might also be a nursing student who is doing a clinical rotation in the ICU. As the unit clerk represents the same person as the student, you can merge the duplicate identities.</p>
                    </li>
                    <li>
                        <p>A physician might have an outpatient clinic for part of the day, and perform research work at other times. As the physician represents the same person as the researcher, you can merge the duplicate identities.</p>
                    </li>
                    <li>
                        <p>Nurses might float between departments. As the nurse in each department represents the same person, you can merge the duplicates.</p>
                    </li>
                </ul>
            </li>
        </ul>
        <p>Using the Identity Match and Merge feature, you can perform the following actions:</p>
        <ul>
            <li>
                <p>Detect duplicates before importing identities or among existing identities in your identity repository on the basis of a configurable set of user attributes, such as name, date of birth, and city.</p>
            </li>
            <li>
                <p>Detection of duplicates during the import process can be used to prevent the execution of birth right provisioning rules for such detected duplicates and channel them through a manual review process for adjudication and further handling.</p>
                <ul>
                    <li>
                        <p>Detection of duplicates among existing identities can be used to ensure that the compliance requirements are being adequately met and are not missed because of such duplicates. A similar manual review process will be used for adjudication and further handling of the duplicates.</p>
                    </li>
                </ul>
            </li>
            <li>
                <p>Manually review to adjudicate and merge the detected duplicate identities by transferring all its associated entitlements and roles to the primary identity.</p>
            </li>
            <li>
                <p>Deactivate the duplicate identity after the merge process.</p>
            </li>
        </ul>
        <h2>Methods of Detecting Duplicates</h2>
        <p>You can choose one the following methods to detect duplicates by using Identity Match and Merge:</p>
        <ul>
            <li>
                <p><b>Via an Import Job</b> - Use this method to detect duplicates for new, updated, and existing users. You can detect duplicates via an import job, a manual import, or using the createUser API. The following diagram illustrates this workflow. </p>
                <p>
                    <img src="../Resources/Images/Identity_Match_User_Import.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                    <br />After the users are imported or updated into Saviynt, the user import job is run to retrieve the details of the updated users. A matching logic runs in the background to identify the duplicate identities and updates their statuses as potential duplicates.</p>
            </li>
        </ul>
        <ul>
            <li>
                <p><b>Via an Identity Match and Merge Job</b> - Use this method to detect duplicates for existing users. This method can be used in the following scenarios:</p>
                <ul>
                    <li>
                        <p>When the Identity Matching job fails during user import.</p>
                    </li>
                    <li>
                        <p>To detect duplicates from identities that were imported before the identity match and merge job was turned on.</p>
                    </li>
                    <li>
                        <p>To periodically run the Identity Match and Merge job during off-peak hours to see if there are any identities that are missed during the import process.</p>
                    </li>
                    <li>
                        <p>This job is also useful in situations where the admin suspects that the coarse matching and fine matching conditions have to be changed and that duplicates have to be identified retroactively within existing users that have already been imported. For more information, see Configuring Identity Match and Merge Settings.</p>
                    </li>
                </ul>
            </li>
            <li>
                <p><b>While updating users</b>: You can use this method to detect duplicates while updating users from Admin &gt; Identity Repository or from the updateUser API. The duplicate detection service is invoked only if the Run on import option is enabled in Global Configurations.</p>
            </li>
        </ul>
        <h2>Duplicate Detection Algorithm</h2>
        <p>Identity Governance and Administration (IGA) uses an initial coarse matching filter in combination with Jaro-Winkler distance algorithm to detect duplicates among a set of users. The coarse matching filter allows you to narrow down the user set, and you can use different SQL functions or filter conditions to fetch the initial match of users. The following diagram illustrates this workflow.</p>
        <p>
            <img src="../Resources/Images/Duplicate_Detection_Algorithm.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
        </p>
        <p>The following examples illustrate the possible values of the ‘Where’ condition that can be used in the Coarse Matching Filter of Global Configurations:</p>
        <p>First name and last name must be an exact match and matches must be distinct</p>
        <p>((t1.FIRSTNAME= t2.FIRSTNAME and t1.LASTNAME= t2.LASTNAME)) and t1.USERKEY &lt;&gt; t2.USERKEY</p>
        <p>First name and last name must be similar sounding and matches must be distinct</p>
        <p>
            <label class="filename-path">((SOUNDEX(t1.FIRSTNAME)= SOUNDEX(t2.FIRSTNAME) and SOUNDEX(t1.LASTNAME)= SOUNDEX(t2.LASTNAME))) and t1.USERKEY &lt;&gt; t2.USERKEY</label>
        </p>
        <p>To handle Initials, the logic is :</p>
        <p>( (First name should match at least by a character and last name’s first 4 or last 4 characters should match) Or ( Last name should match at least by a character and First name’s first 4 or last 4 characters should match ) ) and ( matches must be distinct )</p>
        <p>
            <label class="filename-path">t1.USERKEY &lt;&gt; t2.USERKEY and ( ( LEFT(t1.FIRSTNAME,1) = LEFT(t2.FIRSTNAME,1) and ( LEFT(t1.LASTNAME,4) = LEFT(t2.LASTNAME,4) or RIGHT(t1.LASTNAME,4) = RIGHT(t2.LASTNAME,4)) ) or ( LEFT(t1.LASTNAME,1) = LEFT(t2.LASTNAME,1) and ( LEFT(t1.FIRSTNAME,4) = LEFT(t2.FIRSTNAME,4) or RIGHT(t1.FIRSTNAME,4) = RIGHT(t2.FIRSTNAME,4)) ))</label>
        </p>
        <p>When the coarse filter finds the initial set of users, the Jaro-Winkler distance measures all the user attributes specified in the Set Coarse Matching Filter's definition field under Global Configurations, and finds the identities that satisfies these thresholds as possible duplicates.</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">To use this feature in Release v2021.0, you must enable the DEMO_MODE.  For more information, contact the Saviynt support team.</p>
        </div>
        <h2>Configuring Identity Match and Merge Settings</h2>
        <p>Enabling the Identity Match and Merge feature requires you to perform the following configurations in Global Configurations:</p>
        <ul>
            <li>
                <p>Define attributes for executing the matching service.</p>
            </li>
            <li>
                <p>Specify the condition to display the potential duplicates to a maximum accuracy before they can be managed.</p>
            </li>
        </ul>
        <p>To perform these configurations, go to <strong>Admin &gt; Global Configurations &gt; Identity Match and Merge</strong> and specify the following settings as described in the table below. Note that the settings shown in the figure represent a sample configuration where this feature is enabled via an import process.</p>
        <p>
            <img src="../Resources/Images/Identity_Match_Merge.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
        </p>
        <table style="width: 100%;mc-table-style: url('../Resources/TableStyles/Nested-Table.css');" class="TableStyle-Nested-Table" cellspacing="0">
            <col class="TableStyle-Nested-Table-Column-Column1" />
            <col class="TableStyle-Nested-Table-Column-Column1" />
            <thead>
                <tr class="TableStyle-Nested-Table-Head-Header1">
                    <th class="TableStyle-Nested-Table-HeadE-Column1-Header1">Field</th>
                    <th class="TableStyle-Nested-Table-HeadD-Column1-Header1">
                        <p class="table-text">Description</p>
                    </th>
                </tr>
            </thead>
            <tbody>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td class="TableStyle-Nested-Table-BodyD-Column1-Body1" colspan="2">
                        <p><b>Identity Match and Merge</b>
                        </p>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p><strong>Updated Users Filter</strong>
                        </p>
                    </td>
                    <td class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p>Select this option to filter the users that have been modified since the last identity matching job run, which are to be used in the coarse matching filter process.</p>
                        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                            <p class="note">You can still select the Updated Users Filter option even if the Set Coarse Matching Filter option is not selected. Selecting the Updated Users Filter option retrieves all updated users and compares them with the existing users.</p>
                        </div>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p><strong>Set Coarse Matching Filter</strong>
                        </p>
                    </td>
                    <td class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p>Select this option to limit the potential duplicates that are fed into the matching algorithm. For more information on coarse matching filter, see Customizing the Coarse Matching Filter.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p><strong>Set Coarse Matching Filter's definition</strong>
                        </p>
                    </td>
                    <td class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p>Specify the SQL query for the where clause to return the potential duplicates.</p>
                        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                            <p class="note">This field is enabled only if the Set Coarse Matching Filter field is selected.</p>
                        </div>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p><strong>Set Fine Matching Algorithm's Criteria and Thresholds</strong>
                        </p>
                    </td>
                    <td class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p>Specify the condition in JSON format to display the duplicates based on the condition set in the algorithm along with the set threshold condition.</p>
                        <p>The Jaro-winkler distance algorithm is computed between strings. Only the matched strings that satisfy the threshold condition are identified as duplicates.</p>
                        <p>For example:</p>
                        <ul>
                            <li>
                                <p><span class="attr">firstname:90,lastname:100 or email:95</span> - This condition will fetch the users whose firstnames are 90% similar AND lastnames are 100% similar OR email ids are 95% similar.</p>
                            </li>
                            <li>
                                <p><span class="attr">firstname:90,lastname:100</span> - This condition will fetch the users whose firstnames are 90% similar AND lastnames are 100% similar.</p>
                            </li>
                        </ul>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p><strong>Set Fine Matching Algorithm's Max Execution Time</strong>
                        </p>
                    </td>
                    <td class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p>Specify the time (in seconds) by when the execution of the matching service must be terminated. The max execution time acts as an upperbound for the time taken to run the matching algorithm.</p>
                        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                            <p class="note">Duplicates detected before the completion of the max execution time are preserved.</p>
                        </div>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p><strong>Set Coarse Matching Algorithm’s Max Execution Time</strong>
                        </p>
                    </td>
                    <td class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p>Specify the time (in seconds) by when the execution of the coarse matching conditions are fulfilled.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p><strong>Append Results to existing data</strong>
                        </p>
                    </td>
                    <td class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p>Select this option if you want to append the new duplicates with the previously detected duplicate data. Otherwise, the new results will replace the existing list of duplicates.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p><strong>Normalize accented characters before Fine Matching Algorithm</strong>
                        </p>
                    </td>
                    <td class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p>Select this option to convert the non accented characters to the accented characters that can be captured during the execution of a matching algorithm.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td class="TableStyle-Nested-Table-BodyD-Column1-Body1" colspan="2">
                        <p class="table-text"><b>Import Process</b>
                        </p>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p><strong>Enable match process during user import</strong>
                        </p>
                    </td>
                    <td class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p>Select this option to execute the matching service when a user is imported into the system. When this is enabled, the matching process is also invoked when users are created from UI or API.</p>
                        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                            <p class="note">If this field is not enabled, the identity matching service is not triggered and no potential duplicates are identified.</p>
                        </div>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td class="TableStyle-Nested-Table-BodyB-Column1-Body1">
                        <p><strong>Enable Attribute Value Sync after User Import</strong>
                        </p>
                    </td>
                    <td class="TableStyle-Nested-Table-BodyA-Column1-Body1">
                        <p>Select this option to re update the attribute value of the primary identity with the corresponding value of its duplicate identity.</p>
                    </td>
                </tr>
            </tbody>
        </table>
        <h3>Customizing the Coarse Matching Filter</h3>
        <p>In the Set Coarse Matching Algorithm’s Max Execution Time field of Match and Merge Global Configurations, you can now set the maximum execution time of the coarse matching algorithm in seconds. The maximum possible value is 1800 seconds (30 minutes). Even if you enter a value more than 1800 here, coarse matching algorithm will consider it to be 1800 seconds only.</p>
        <p>For example, you can set the execution time of the coarse matching filter to 5 minutes, and as the matching process executes in batches, we can see how this 5 minutes in utilized in deriving the matches in multiple batches. If the coarse matching algorithm takes 2 minutes to finish the execution of the first batch, then the remaining 3 minutes are utilized for the execution of the second batch. But if the execution of the second batch also gets completed in 2 minutes, then the balance 1 minute is utilized to execute the third batch of matches. However, the third batch of execution will not be complete as the duration of the coarse matching filter has expired. Hence, the matching process will be incomplete.</p>
        <p>By default coarse matching filter includes both inactive and active users. For example, let us consider two users (Mkhan and Moin) whose first and last names are same. Of these two users, Mkhan is an inactive user and Moin is an active user. If no explicit conditions on the STATUSKEY is set in the coarse matching filter and then if the Identity Matching job is run, both the users (Moin and Mkhan) are considered.</p>
        <p>If only active users are required to be filtered out, specify an extra condition on STATUSKEY=1 in the coarse-matching filter. For example,</p>
        <p><span class="attr">t1.FIRSTNAME = t2.FIRSTNAME and t1.LASTNAME = t2.LASTNAME and t1.USERKEY &lt;&gt; t2.USERKEY and t1.STATUSKEY=1 and t2.STATUSKEY=1</span>, and then run the identity matching job. After the successful execution of the job, the active user, Moin, is displayed under the Primary Identity section and the inactive user, Mkhan, is displayed under the Potential Duplicate section.</p>
        <p style="font-weight: bold;">Scenarios of considering inactive users:</p>
        <p>The following table provides more information on how inactive users can be made to appear as potential duplicates. Let us consider the same users (MKhan and Moin) as mentioned above, where their first name and the last name are same. The query in the coarse filter can be written as <span class="attr">t1.FIRSTNAME = t2.FIRSTNAME and t1.LASTNAME = t2.LASTNAME and t1.USERKEY &lt;&gt; t2.USERKEY and t1.USERNAME in ('Mkhan','Moin')</span>. Based on the status of the primary and duplicate user, following scenarios can happen.</p>
        <p><b>Scenario 1: Both the users are in active status</b>
        </p>
        <table style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" class="TableStyle-Default-Table" cellspacing="0">
            <col class="TableStyle-Default-Table-Column-Column1" />
            <col class="TableStyle-Default-Table-Column-Column1" />
            <col class="TableStyle-Default-Table-Column-Column1" />
            <col class="TableStyle-Default-Table-Column-Column1" />
            <col class="TableStyle-Default-Table-Column-Column1" />
            <col class="TableStyle-Default-Table-Column-Column1" />
            <col class="TableStyle-Default-Table-Column-Column1" />
            <thead>
                <tr class="TableStyle-Default-Table-Head-Header1">
                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">User 1</th>
                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Status</th>
                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">User 2</th>
                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Status</th>
                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">
                        <p>Primary Record while merge</p>
                    </th>
                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">
                        <p>Potential Duplicate while merge</p>
                    </th>
                    <th class="TableStyle-Default-Table-HeadD-Column1-Header1">
                        <p>Owner on Terminate</p>
                    </th>
                </tr>
            </thead>
            <tbody>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                        <p>Mkhan</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                        <p class="table-text">Active</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                        <p>Moin</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                        <p class="table-text">Active</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                        <p>Mkhan</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                        <p class="table-text">Moin</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                        <p class="table-text">MKhan</p>
                    </td>
                </tr>
            </tbody>
        </table>
        <p><b>Scenario 2: User 1 in active status and User 2 in an inactive status</b>
        </p>
        <table style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" class="TableStyle-Default-Table" cellspacing="0">
            <col class="TableStyle-Default-Table-Column-Column1" />
            <col class="TableStyle-Default-Table-Column-Column1" />
            <col class="TableStyle-Default-Table-Column-Column1" />
            <col class="TableStyle-Default-Table-Column-Column1" />
            <col class="TableStyle-Default-Table-Column-Column1" />
            <col class="TableStyle-Default-Table-Column-Column1" />
            <col class="TableStyle-Default-Table-Column-Column1" />
            <thead>
                <tr class="TableStyle-Default-Table-Head-Header1">
                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">User 1</th>
                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Status</th>
                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">User 2</th>
                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Status</th>
                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">
                        <p>Primary Record while merge</p>
                    </th>
                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">
                        <p>Potential Duplicate while merge</p>
                    </th>
                    <th class="TableStyle-Default-Table-HeadD-Column1-Header1">
                        <p>Owner on Terminate</p>
                    </th>
                </tr>
            </thead>
            <tbody>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                        <p>Mkhan</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                        <p class="table-text">Active</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                        <p>Moin</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                        <p class="table-text">Inactive</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                        <p>Mkhan</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                        <p class="table-text">Moin</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                        <p class="table-text">MKhan</p>
                    </td>
                </tr>
            </tbody>
        </table>
        <p><b>Scenario 3: User 1 in an inactive status and User 2 in active status</b>
        </p>
        <table style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" class="TableStyle-Default-Table" cellspacing="0">
            <col class="TableStyle-Default-Table-Column-Column1" />
            <col class="TableStyle-Default-Table-Column-Column1" />
            <col class="TableStyle-Default-Table-Column-Column1" />
            <col class="TableStyle-Default-Table-Column-Column1" />
            <col class="TableStyle-Default-Table-Column-Column1" />
            <col class="TableStyle-Default-Table-Column-Column1" />
            <col class="TableStyle-Default-Table-Column-Column1" />
            <thead>
                <tr class="TableStyle-Default-Table-Head-Header1">
                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">User 1</th>
                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Status</th>
                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">User 2</th>
                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Status</th>
                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">
                        <p>Primary Record while merge</p>
                    </th>
                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">
                        <p>Potential Duplicate while merge</p>
                    </th>
                    <th class="TableStyle-Default-Table-HeadD-Column1-Header1">
                        <p>Owner on Terminate</p>
                    </th>
                </tr>
            </thead>
            <tbody>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                        <p>Mkhan</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                        <p class="table-text">Inactive</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                        <p>Moin</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                        <p class="table-text">Active</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                        <p>Mkhan</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                        <p class="table-text">Moin</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                        <p class="table-text">MKhan <br />(even though Mkhan is inactive)</p>
                    </td>
                </tr>
            </tbody>
        </table>
        <p><b>Scenario 4: Both the users are in inactive status</b>
        </p>
        <table style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" class="TableStyle-Default-Table" cellspacing="0">
            <col class="TableStyle-Default-Table-Column-Column1" />
            <col class="TableStyle-Default-Table-Column-Column1" />
            <col class="TableStyle-Default-Table-Column-Column1" />
            <col class="TableStyle-Default-Table-Column-Column1" />
            <col class="TableStyle-Default-Table-Column-Column1" />
            <col class="TableStyle-Default-Table-Column-Column1" />
            <col class="TableStyle-Default-Table-Column-Column1" />
            <thead>
                <tr class="TableStyle-Default-Table-Head-Header1">
                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">User 1</th>
                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Status</th>
                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">User 2</th>
                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Status</th>
                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">
                        <p>Primary Record while merge</p>
                    </th>
                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">
                        <p>Potential Duplicate while merge</p>
                    </th>
                    <th class="TableStyle-Default-Table-HeadD-Column1-Header1">
                        <p>Owner on Terminate</p>
                    </th>
                </tr>
            </thead>
            <tbody>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                        <p>Mkhan</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                        <p class="table-text">Inactive</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                        <p>Moin</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                        <p class="table-text">Inactive</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                        <p>Mkhan</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                        <p class="table-text">Moin</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                        <p class="table-text">MKhan <br />(even though Mkhan is inactive)</p>
                    </td>
                </tr>
            </tbody>
        </table>
        <h2>Configuring Rules (Optional)</h2>
        <p>Technical Rules or User Update Rules are used to provision the birthright access to employees who join the company based on specified conditions. In this Early Access feature, you can setup birthright provisioning rules to avoid running those rules for potential duplicates. The following scenarios provide an overview on when to use the technical rule or the user update rule:</p>
        <ul>
            <li>
                <p>Use Technical Rules for non-duplicate users</p>
                <p>For example, you can assign a new account to an active user for an application SaviyntForSaviynt. The account is assigned to the user who does not fall under a duplicate category and the department of the user is ‘Product Engineering’. The sample query mentioned below illustrates the same.</p>
                <p><span class="attr">a.statuskey = 1 and (a.duplicateDetectionStatus is null or a.duplicateDetectionStatus = 2)</span>
                </p>
                <p>In the above query, if the values of the attribute “a.duplicateDetectionStatus“ is specified as null or 2, it means that the user is not a duplicate.</p>
                <p>
                    <img src="../Resources/Images/Technical_Rule_Non_Duplicate_1.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
            </li>
            <li>
                <p>Use User Update Rules for duplicate users</p>
                <p>For example, you can lock the user account of an inactive user for certain applications, such as 'SaviyntForSaviynt’ and 'Amigopod', and transfer the role, entitlement, and manager ownerships to the primary user. The sample query mentioned below illustrates the same.</p>
                <p><span class="attr">a.statuskey = 0 and (a.duplicateDetectionStatus is not null or a.duplicateDetectionStatus &lt;&gt; 2)</span>
                </p>
                <p>In the above query, if the value of the attribute “a.duplicateDetectionStatus“ is specified as not null or not equal 2, it means that the user is a duplicate.</p>
                <p>
                    <img src="../Resources/Images/Technical_Rule_Non_Duplicate_2.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                    <p class="note">The attribute duplicateDetectionStatus is case-sensitive.</p>
                </div>
            </li>
        </ul>
        <h2>Executing the User Import Job For New/Existing Users (Optional)</h2>
        <p>The User Import Job can be used to import new users into IGA. However, this is an optional step. But if you want to use the Identity Match job in conjunction with the User Import job, it is then recommended to use the User Import job. Before using the User Import job, you must enable the Enable match process during user import option in Global Configurations, and while creating a new trigger in the User Import  job, select Yes in the Check rules drop down. Enabling the check rule setting validates the rules and imports users accordingly.</p>
        <p>To run the User Import job, perform the following steps:</p>
        <ol>
            <li>
                <p>Navigate to <strong>Admin &gt; Job Control Panel</strong>.</p>
            </li>
            <li>
                <p>Click <strong>+Add New Job</strong>. The Create New Trigger window is displayed.</p>
                <p>
                    <img src="../Resources/Images/Identity_Match_Merge_New_Trigger.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
            </li>
            <li>
                <p>In the Job Name field, specify a job name.</p>
            </li>
            <li>
                <p>In the Job Type field, select the job type as User Import via a Connection (UserImportJob) .</p>
            </li>
            <li>
                <p>To schedule the trigger, specify a schedule.</p>
            </li>
            <li>
                <p>Click <strong>Save</strong>.</p>
                <p>
                    <img src="../Resources/Images/Identity Match and Merge_Job_Running_1.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
            </li>
        </ol>
        <p>To run the job, search for the job in the home page of the Job Control Panel, and click Start. The Running Jobs tile displays the number of jobs that is currently running.</p>
        <h2>Executing the Identity Matching Job For Existing Users</h2>
        <p>The Identity Matching Job is used to display the potential duplicates amongst the existing users. These duplicates are displayed based on the conditions set in both coarse matching and the fine matching filters located in Global Configurations.</p>
        <p>To run the Identity Match and Merge job, perform the following steps:</p>
        <ol>
            <li>
                <p>Navigate to <strong>Admin &gt; Job Control Panel</strong>.</p>
            </li>
            <li>
                <p>Click <strong>+Add New Job</strong>. The Create New Trigger window is displayed.</p>
                <p>
                    <img src="../Resources/Images/Identity_Match_Merge_New_Trigger1.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
            </li>
            <li>
                <p>Specify a job name. From the Job Type list, select Identity Matching Job.</p>
            </li>
            <li>
                <p>To schedule the trigger, specify a schedule.</p>
            </li>
            <li>
                <p>Click <strong>Save</strong>.</p>
            </li>
            <li>
                <p>To run the job, search for the job in the home page of the Job Control Panel, and click <b>Start</b>. The Running Jobs tile displays the number of jobs that is currently running.</p>
                <p>
                    <img src="../Resources/Images/Identity Match and Merge_Job_Running_2.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
            </li>
        </ol>
        <h2>Identifying and Merging Potential Duplicates</h2>
        <p>After executing the User Import Job, the match and merge service is triggered that displays the potential duplicate records based on attributes specified in the Global Configuration.</p>
        <p>To retrieve the potential duplicates of user records, make sure that the WEBSERVICE access for <span class="attr">api_v5_getPotentialDuplicates</span> API is assigned to the SAV role of the logged in user.</p>
        <p>To merge the potential duplicates, perform the following steps:</p>
        <ol>
            <li>
                <p>From the app switcher menu, click <strong>Intelligence &gt; Identity Match and Merge (Beta)</strong>. The Identity Match and Merge page displays the potential duplicates.</p>
                <p>
                    <img src="../Resources/Images/Identity Match and Merge_Primary.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                    <br />The left pane shows the list of primary users that has potential duplicates. After selecting a primary user, the right pane displays one or more potential duplicates along with a similarity score and its attributes, such as email, city, manager, and so on. The potential duplicates also display the number of accounts and roles owned by each user.</p>
            </li>
            <li>
                <p>Select the user that you want to merge. The selected user details are displayed on the right pane.</p>
            </li>
            <li>
                <p>To merge the potential duplicate, click <strong>Analyze</strong>.</p>
                <p>The Merge Duplicates page displays the primary user record and the potential duplicate user record along with the attributes that are common and uncommon between the matches. Additionally, you can perform the following actions in the Merge Duplicates page:</p>
                <ul>
                    <li>
                        <p>Swap the Primary and the Duplicate identities.</p>
                    </li>
                    <li>
                        <p>Select the attribute values that need to be updated to a primary user either from the left pane or from the right pane. For example, as shown in the following screenshot, if you want the last name of a primary user to be updated as ‘Moreland’, then you can update it from the right pane.</p>
                    </li>
                </ul>
                <p>By default, all primary user’s attribute values will be used for the merged identity.</p>
                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                    <p class="note">Common attributes between two users are displayed in the Common tab and the non-common attributes are displayed in the Uncommon tab.</p>
                </div>
                <p>
                    <img src="../Resources/Images/Identity Match and Merge_Attribute.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
            </li>
        </ol>
        <ol MadCap:continue="true">
            <li>
                <p>To merge an uncommon attribute to a primary record, click the Uncommon tab, select one or more attributes, and then click <strong>Next</strong>. <br />The Preview page displays the attributes that are ready for merge, the number of uncommon attributes between the primary and duplicate records, and merge updates, as shown in the following figure.</p>
                <p>
                    <img src="../Resources/Images/Identity_Match_Merge_Preview.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
            </li>
        </ol>
        <ol MadCap:continue="true">
            <li>
                <p>Click <strong>Confirm</strong>. <br />After the duplicates are merged, a confirmation message is displayed.</p>
                <p>
                    <img src="../Resources/Images/Identity_Match_Merge_Confirmation.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
            </li>
            <li>
                <p>Click <strong>Close</strong>. <br />When the merge is successful, the following changes take place:</p>
                <ul>
                    <li>
                        <p>The duplicate user is inactive.</p>
                    </li>
                    <li>
                        <p>In the User Details tab of the User page, the Owner on Terminate option is set to primary identity</p>
                    </li>
                    <li>
                        <p>If any matching technical rule or an user update rule is found, the configured actions in the rules are executed.</p>
                    </li>
                </ul>
            </li>
        </ol>
    </body>
</html>